.footer {
  position: relative;
  overflow: hidden;
  margin-top: auto;
  background-color: #F2F2F2;

  @include screen-max($mobile) {
    background-color: #F6FAF1;
  }

  $mobile: "md";

  $step: 1920px;
  $step1: 1500px;
  $step2: 1300px;
  $step3: 1150px;
  $step4: 1023px;
  $step5: 767px;

  .image-bg {
    position: absolute;
    bottom: 0;

    @media (min-width: $step) {
      width: calc(100% + 200px);
      bottom: -100px;
    }

    @media (max-width: $step2) {
      height: 500px;
      left: -150px;
      width: calc(100% + 300px);
    }

    @media (max-width: $step3) {
      height: 600px;
      left: -230px;
      width: calc(100% + 600px);
    }

    @media (max-width: $step4) {
      height: 600px;
      left: -290px;
      width: calc(100% + 800px);
    }

    @media (max-width: $step5) {
      display: none;
    }

    &.mobile {
      @media (min-width: $step5 + 1) {
        display: none;
      }

      @media (max-width: $step5) {
        display: block;
        height: initial;
        width: initial;
      }

      @include screen-max($mobile) {
        left: -380px;
        top: 250px;
      }

      @include screen-max(sm) {
        top: 400px;
      }

      @include screen-max(xs) {
        left: -360px;
        top: 350px;
      }
    }
  }

  .section {
    &__map {
      width: 100%;

      @include screen-max(md) {
        background-color: #F2F2F2;
      }

      @include screen-max(sm) {
        width: 200%;
        transform: translateX(-25%);
      }
    }

    &__content {
      position: relative;
      padding: 100px 0 44px;

      @include screen-max(xl) {
        padding: 100px 32px 44px;
      }

      @include screen-max(md) {
        padding: 0 32px 44px;
      }

      &__row {
        @include screen-max(md) {
          flex-direction: column-reverse;
        }
      }
    }

    &__left {
      color: $colorWhite;

      @include screen-between(md, xl) {
        padding-right: 80px;
      }

      @include screen-max($mobile) {
        padding-top: 130px;
      }

      a {
        color: $colorWhite;
      }

      .h3 {
        margin: 30px 0 12px 0;
      }

      .contact-info {
        gap: 23px;
        display: flex;
        flex-direction: column;
        font-size: calculateSize(14);
        line-height: calculateSize(25);
        font-weight: 500;

        span {
          white-space: nowrap;
        }
      }

      .copyright {
        margin-top: 25px;
        font-size: calculateSize(14);
        line-height: calculateSize(20);
        font-weight: 600;
      }

    }

    &__right {
      display: flex;
      flex-direction: column;
      justify-content: flex-end;
      color: $colorGreen;

      @include screen-max($mobile) {
        padding-top: 60px;
      }

      &__wrapper {
        display: flex;
        justify-content: space-between;

        @include screen-max($mobile) {
          flex-direction: column;

          & > * {
            &:not(:last-child) {
              margin-bottom: 36px;
            }
          }
        }

        .h3 {
          margin-bottom: 12px;
          max-height: 200px;
        }

        .work-hours,
        .address {
          flex: 1;
        }

        .description {
          font-size: calculateSize(16);
          line-height: calculateSize(25);
          font-weight: 500;
          max-width: 200px;
          display: flex;
        }

        .social-icons {
          display: flex;
          flex-direction: column;
          gap: 12px;

          a {
            color: $colorGreen;
            font-size: calculateSize(16);
            line-height: calculateSize(25);
            font-weight: 500;
            gap: 14px;
            display: flex;

            svg {
              width: 24px;
              height: 24px;
            }
          }


        }
      }

      &__description {
        margin-top: 44px;
        font-size: calculateSize(12);
        line-height: calculateSize(23);

        @include screen-max($mobile) {
          margin-top: 50px;
          max-width: 330px;
          line-height: calculateSize(20);
        }
      }

      &__links {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: flex-end;
        margin-top: 21px;
        gap: 10px;

        @include screen-max($mobile) {
          justify-content: start;
          margin-top: 24px;
        }

        a {
          color: $colorGreen;
          text-decoration: underline;
          text-transform: capitalize;
          font-weight: 600;
          font-size: calculateSize(14);
          line-height: calculateSize(26);
          white-space: nowrap;
          width: fit-content;
        }

        .pipe:last-child {
          display: none;
        }
      }
    }
  }
}
